Subject: Re: linux-next: Tree for Mar 31 (build failures and culprits)

From: Daniel Mack <[email-masked]>
Date: Wed, 01 Apr 2015 08:13:39 +0200

On 04/01/2015 04:45 AM, Guenter Roeck wrote:
> On 03/31/2015 07:24 PM, Guenter Roeck wrote:

>> Now I am left with the question if the samples build should be
>> masked for alpha and mips, or if I should drop building samples
>> from my 'allmodconfig' builds. I think I'll do the latter;
>> there seems to be an expectation that samples are built with
>> a recent toolchain, and I can not keep rebuilding toolchains for
>> the rest of my life.
>>
> 
> Weird - the kdbus sample doesn't have its own configuration option,
> unlike other samples. So it's all or nothing for alpha and mips.

I've already sent a patch for this yesterday, and I'm sure Greg will
merge it anytime soon:

  https://lkml.org/lkml/2015/3/31/306

I wouldn't mind if we masked that config symbol for archs which don't
have memfds wired, but I'm also open to other suggestions.

Thanks,
Daniel